"""Very quick introduction to python classes"""

from typing import override


class Food:
    name: str
    calories: int

    count: int = 1

    def __init__(self, name: str, calories: int) -> None:
        self.name = name
        self.calories = calories

    @override
    def __str__(self) -> str:
        return f"A(n) {self.name} with {self.calories}"

    @override
    def __repr__(self) -> str:
        return f"Food({self.name!r}, {self.calories!r})"


apple = Food("apple", 100)
pizza = Food("pizza", 300)
